Author: Michael Stapelberg <stapelberg@debian.org>
Forwarded: https://github.com/FreeRADIUS/freeradius-server/commit/9f4db6476d7c148b5bd19310f02de3b057f2e585
Last-Update: 2016-09-16

---

Index: freeradius/src/lib/debug.c
===================================================================
--- freeradius.orig/src/lib/debug.c
+++ freeradius/src/lib/debug.c
@@ -732,7 +732,7 @@ NEVER_RETURNS void fr_fault(int sig)
 		if (disable) {
 			FR_FAULT_LOG("Resetting PR_DUMPABLE to 0");
 			if (fr_set_dumpable_flag(false) < 0) {
-				FR_FAULT_LOG("Failed reseting dumpable flag to off: %s", fr_strerror());
+				FR_FAULT_LOG("Failed resetting dumpable flag to off: %s", fr_strerror());
 				FR_FAULT_LOG("Exiting due to insecure process state");
 				fr_exit_now(1);
 			}
Index: freeradius/man/man5/dictionary.5
===================================================================
--- freeradius.orig/man/man5/dictionary.5
+++ freeradius/man/man5/dictionary.5
@@ -35,7 +35,7 @@ break your RADIUS deployment.
 .PP
 If you need to add new attributes, please edit the
 \fI/etc/raddb/dictionary\fP file.  It's sole purpose is to contain
-site-local defintions that are added by the local administrator.
+site-local definitions that are added by the local administrator.
 
 .SH FORMAT
 Every line starting with a hash sign
Index: freeradius/man/man5/radrelay.conf.5
===================================================================
--- freeradius.orig/man/man5/radrelay.conf.5
+++ freeradius/man/man5/radrelay.conf.5
@@ -134,7 +134,7 @@ running as radrelay.  Please edit \fBrad
 The original "radrelay" program was written by Miquel van Smoorenburg
 for the Cistron radius project, and ported to FreeRADIUS by Simon
 Ekstrand.  The "radsqlrelay" was written by Kostas Kalavras.  It was
-never released as part of an offical FreeRADIUS release, but served as
+never released as part of an official FreeRADIUS release, but served as
 a basis for the design of this implementation.
 .PP
 .SH FILES
Index: freeradius/man/man5/unlang.5
===================================================================
--- freeradius.orig/man/man5/unlang.5
+++ freeradius/man/man5/unlang.5
@@ -146,7 +146,7 @@ No statement other than "case" can appea
 .IP case
 .br
 Provides a place-holder which matches the argument of a parent
-"switch" statment.
+"switch" statement.
 
 A "case" statement cannot appear outside of a "switch" block.
 
@@ -393,7 +393,7 @@ conditions
 .DS
 	(foo)
 .DE
-Evalutes to true if 'foo' is a non-empty string (single quotes, double
+Evaluates to true if 'foo' is a non-empty string (single quotes, double
 quotes, or back-quoted).  Also evaluates to true if 'foo' is a
 non-zero number.  Note that the language is poorly typed, so the
 string "0000" can be interpreted as a numerical zero.  This issue can
@@ -414,7 +414,7 @@ codes are given in MODULE RETURN CODES,
 .DS
 	(!foo)
 .DE
-Evalutes to true if 'foo' evaluates to false, and vice-versa.
+Evaluates to true if 'foo' evaluates to false, and vice-versa.
 .PP
 Short-circuit operators
 .RS
@@ -487,7 +487,7 @@ We recommend using attribute references
 attributes to a string, e.g. (User-Name == "%{Filter-Id}").
 Attribute references will be faster and more efficient.
 
-The conditions will check only the first occurance of an attribute.
+The conditions will check only the first occurrence of an attribute.
 If there is more than one instance of an attribute, the following
 syntax should be used:
 
@@ -604,7 +604,7 @@ The trailing 'm' is also optional, and i
 and dollar '$' anchors should match on new lines as well as at the
 start and end of the subject string.
 
-If the comparison operator is "=~", then parantheses in the regular
+If the comparison operator is "=~", then parenthesis in the regular
 expression will define variables containing the matching text, as
 described below in the VARIABLES section.
 .SH EXPANSIONS
@@ -682,19 +682,19 @@ The integer value of the Attribute-Name,
 name.
 
 e.g. If a request contains "Service-Type = Login-User", the expansion
-of %{integer:Service-Type} will yeild "1".
+of %{integer:Service-Type} will yield "1".
 
 .IP %{hex:Attribute-Name}
 The hex value of the Attribute-Name, as a series of hex digits.
 
 e.g. If a request contains "Framed-IP-Address = 127.0.0.1", the expansion
-of %{hex:Framed-IP-Address} will yeild "0x7f000001".
+of %{hex:Framed-IP-Address} will yield "0x7f000001".
 
 .IP %{Attribute-Name[#]}
 The number of instances of Attribute-Name.
 
 e.g. If a request contains "User-Name = bob", the expansion
-of %{User-Name[#]} will yeild "1".
+of %{User-Name[#]} will yield "1".
 
 .IP %{Attribute-Name[*]}
 All values of Attribute-Name, concatenated together with ',' as the
@@ -789,7 +789,7 @@ given here.  Any smaller value is replac
 no attribute exists, it is added with the value given here, as with
 "+=".
 .IP !*
-Delete all occurances of the named attribute, no matter what the
+Delete all occurrences of the named attribute, no matter what the
 value.
 .IP =~
 Keep all attributes having values which match the given regular
Index: freeradius/src/modules/rlm_krb5/rlm_krb5.c
===================================================================
--- freeradius.orig/src/modules/rlm_krb5/rlm_krb5.c
+++ freeradius/src/modules/rlm_krb5/rlm_krb5.c
@@ -171,7 +171,7 @@ static int mod_instantiate(CONF_SECTION
 	ret = krb5_get_init_creds_opt_alloc(inst->context, &(inst->gic_options)); /* For some reason the 'init' version
 										    of this function is deprecated */
 	if (ret) {
-		ERROR("rlm_krb5 (%s): Couldn't allocated inital credential options: %s", inst->xlat_name,
+		ERROR("rlm_krb5 (%s): Couldn't allocated initial credential options: %s", inst->xlat_name,
 		      rlm_krb5_error(inst->context, ret));
 
 		return -1;
Index: freeradius/src/modules/rlm_mschap/rlm_mschap.c
===================================================================
--- freeradius.orig/src/modules/rlm_mschap/rlm_mschap.c
+++ freeradius/src/modules/rlm_mschap/rlm_mschap.c
@@ -1941,7 +1941,7 @@ static rlm_rcode_t CC_HINT(nonnull) mod_
 			if (inst->with_ntdomain_hack) {
 				username_string++;
 			} else {
-				RWDEBUG2("NT Domain delimeter found, should with_ntdomain_hack of been enabled?");
+				RWDEBUG2("NT Domain delimiter found, should with_ntdomain_hack of been enabled?");
 				username_string = name_attr->vp_strvalue;
 			}
 		} else {
